<div class = "row" >
  <div class="col-lg-8 offset-lg-2 ">
    <div class="card card-small mb-4">
      <div class="card-header border-bottom">
        <div style="width: 100px;float: right;">
          <button style= "color: darkred; background-color: paleturquoise; border-radius: 20px;" id="untraceable_button">Untraceable</button>
        </div>
        <h6 class="m-0">Case Details</h6>
      </div>
      <ul class="list-group list-group-flush">
        <li class="list-group-item p-3">
          <div class="row">
            <div class="col">
              <%= form_for :case_investigation, url: upload_verification_detail_executive_case_path(@case), :html => { :multipart => true } do |f| %>
                <%= fields_for "case_investigation[extras]", OpenStruct.new(@case_investigation.extras) do |e| %>
                  <%= render "executive/cases/edit_formats/#{@case.client.client_format}_#{@case.case_type}", f: f, e: e %>

                  <% if @case.attachments.present? %>
                      <div class="uploaded-attachments">
                        <h6>Uploaded Files</h6>

                        <div class="row">
                          <% @case.attachments.each do |attachment| %>
                            <div class="col col-lg-3 text-center">
                              <%= image_tag attachment.document.url, class: 'thumbnail' %>
                              <br />
                              <%= link_to attachment.document_file_name, staff_case_attachment_path(@case, attachment), remote: true %>
                            </div>
                          <% end %>
                        </div>
                      </div>
                    <% end %>
                    
                 
                   <div class="form-group row">
                    <%= fields_for :attachment do |a| %>
                      <div class="col-lg-6" style="padding-top: 100px;">
                          <%= a.label :"Upload documents" %>
                      </div>
                      <div class="col-lg-6">
                        <%= a.file_field :document, name: "attachments[][document]", class: "form-control" %><br />
                        <%= a.file_field :document, name: "attachments[][document]", class: "form-control" %><br />
                        <%= a.file_field :document, name: "attachments[][document]", class: "form-control" %><br />
                        <%= a.file_field :document, name: "attachments[][document]", class: "form-control" %><br />
                        <%= a.file_field :document, name: "attachments[][document]", class: "form-control" %><br />
                        </div>
                      <% end %>
                  </div>

                  <% if @case.status == 'in_progress' %>
                    <button type="submit" class="btn btn-accent">Submit</button>
                    <%= link_to "Verification Completed", mark_verification_completed_executive_case_path(@case), class: "btn btn-accent" %>
                  <% end %>

                  <% if @case.status == 'approved' %>
                    <span class="text-success">Approved</span>
                  <% end %>

                <% end %>
              <% end %>
            </div>
          </div>
        </li>
      </ul>
    </div>
  </div>
</div>


<div class="untraceable-modal" style="display: none;" >
  <div class="untraceable-modal-inner">
    <div class="card card-small mb-4" style="padding: 10px;">
      <%= form_for :case_investigation, url: set_untraceable_executive_case_path(@case) do |f| %>

        <div class="form-group row">
          <div class="col-lg-6">
            <%= f.label :untraceable, 'Untraceable Reason' %>
          </div>
          <div class="col-lg-6">
            <%= f.select :untraceable, CaseInvestigation::UNTRACEABLE_REASONS.collect{|k,v| [v, k]}, {:include_blank => '-- select --'}, class: 'form-control' %>
          </div>
        </div>

        <div class="form-group row">
          <div class="col-lg-6">
            <%= f.label :remarks, 'Any Comments' %>
          </div>
          <div class="col-lg-6">
            <%= f.text_area :remarks, class: 'form-control' %>
          </div>
        </div>
        
        <%= f.submit :"Save", class: "btn btn-accent" %>
        <a href='#' id='untraceable-model-cancel', class="btn btn-accent">Cancel</a>
      <% end %>
     </div>
  </div>
</div>

<script type="text/javascript">
  $('#untraceable_button').click(function(){
    $('.untraceable-modal').show();
  });

  $('#untraceable-model-cancel').click(function(ev){
    ev.preventDefault();
    $('.untraceable-modal').hide();
  });
</script>




